Autor Zpráva
ja.cz
Profil *
Zdravím,
potřeboval bych pomocí css si upravit vzhled seznamu <select> ale nedaří se. Většinou jsem se zde v diskusi dočetl, že to nejde a nebo že se to nedoporučuje. A ukázkové odkazy těch, kteří již něco podobného dělali a podařilo se jim to, už nefungují.

Našel jsem jeden layout, kde je <select> krásně upravený a dokonce velice podobně tak, jak bych ho potřeboval. Zkoušel jsem ten kód rozebrat tak bych ho mohl přizpůsobit svým potřebám, ale ať dělám co dělám, nemohu přijít na to co ten <select> ovlivňuje. Nejspíše to bude jQuery, ale nejsem si jistý, nemohu na to přijít.

Můžete mi prosím pomoci získat část kódu kterou potřebuji k editaci <select>?
Díky moc.
ja.cz
Profil *
jaj, asi jsem předchozí zprávu napsal příliš brzo, právě jsem se prokousal malinko dál a snad se blízím k cíli :) Každopádně, pokud mi sem někdo hodí nějaký hint, tak se vůbec nebudu zlobit.
Nox
Profil
Když si ten layout prohlídneš pořádně (nedělej to přes zobrazení kódu ale firebug/dragonfly/...), tak uvidíš, že je skrytý a kolem něj je nastylovaný div... jinak to moc nejde
ja.cz
Profil *
To ano, toho jsem si všiml hnedka jak jsem sem napsal mou druhou zprávu. Ale nevím, zda jsem raději neměl toto téma otevřít v sekci JS, protože ten <selecet> je ovlivňován hned několika knihovnami jQuery. Takže pokud moderátoři toto téma přesunou tam, bude to asi OK.

Nicméně, je možné počet těchto knihoven jQuery nějak zredukovat? Momentálně to je závislé na 4 souborech: jquery-1.4.2.min.js, jquery.twitter.js, jquery.jqtransform.js a script.js
Nox
Profil
ja.cz:
1) script.js nevypadá na jQuery
2) knihovna je tam jen jedna, ostatní jsou rozšíření
3) jak víš, že všechny do přeměny formulářových provků zasahují? tipuju to max. na jquery+jqtransform, přičemž první tam budeš mít stejně a to druhé je právě na ty formuláře, nevidim v tom moc problém
ja.cz
Profil *
Dobrá dobrá, hodil jsem to šmahem do jednoho pytle...
Věřím, že se v tom vyznál lépe než já, o tom není sporu, jinak bych tu radil já a ne ty. (to mělo být jako uznání, snad to nezní blbě :) ) Původně jsem si myslel ze bude také zapotřebí jen jquery-1.4.2.min.js a jquery.jqtransform.js. Ale v momentě kdy odmažu jquery.twitter.js nebo script.js tak to přestává fungovat... ??
ja.cz
Profil *
[#3] Nox:
Když je to jen překrytí DIVu, tak teoreticky nepotřebuji jQuery, že? Mohl by jsi mi prosímtě poradit, jak to udělat, nebo odkázat někam, kde je to už řešené?
Děkuji.
ja.cz
Profil *
Ha, vyřešeno...
Pro ty, kterým by se něco porobného také hodilo: jQTransform

Vaše odpověď

Mohlo by se hodit


Prosím používejte diakritiku a interpunkci.

Ochrana proti spamu. Napište prosím číslo dvě-sta čtyřicet-sedm: